find_path(LibKea_INCLUDE_DIR NAMES kea_version.h PATH_SUFFIXES kea)
find_library(LibKea_LIBRARY NAMES libkea-hooks.so)

IF (LibKea_INCLUDE_DIR AND LibKea_LIBRARY)
   SET(LibKea_FOUND TRUE)
   SET(LibKea_INCLUDE_DIRS ${LibKea_INCLUDE_DIR})
   SET(LibKea_LIBRARIES ${LibKea_LIBRARY})
ENDIF (LibKea_INCLUDE_DIR AND LibKea_LIBRARY)

IF (LibKea_FOUND)
   IF (NOT LibKea_FIND_QUIETLY)
	   MESSAGE(STATUS "Found libkea: ${LibKea_LIBRARIES}, ${LibKea_INCLUDE_DIRS}")
   ENDIF (NOT LibKea_FIND_QUIETLY)
ELSE (LibKea_FOUND)
   IF (LibKea_FIND_REQUIRED)
      MESSAGE(FATAL_ERROR "Could not find libkea")
   ENDIF (LibKea_FIND_REQUIRED)
ENDIF (LibKea_FOUND)
